Package ghidra.graph.viewer.event.mouse

# Class VisualGraphAnimatedPickingGraphMousePlugin<V extends VisualVertex,E extends VisualEdge<V>>

java.lang.Object
edu.uci.ics.jung.visualization.control.AbstractGraphMousePlugin
edu.uci.ics.jung.visualization.control.AnimatedPickingGraphMousePlugin<V,E>
ghidra.graph.viewer.event.mouse.VisualGraphAnimatedPickingGraphMousePlugin<V,E>

Type Parameters:
  `V` - the vertex type
  `E` - the edge type

All Implemented Interfaces:
  `edu.uci.ics.jung.visualization.control.GraphMousePlugin`, `VisualGraphMousePlugin<V,E>`, `MouseListener`, `MouseMotionListener`, `EventListener`

public class VisualGraphAnimatedPickingGraphMousePlugin<V extends VisualVertex,E extends VisualEdge<V>> extends edu.uci.ics.jung.visualization.control.AnimatedPickingGraphMousePlugin<V,E> implements VisualGraphMousePlugin<V,E>
A mouse handler to center a vertex when the header is double-clicked

- ## Field Summary

  ### Fields inherited from class edu.uci.ics.jung.visualization.control.AnimatedPickingGraphMousePlugin

  `vertex`

  ### Fields inherited from class edu.uci.ics.jung.visualization.control.AbstractGraphMousePlugin

  `cursor, down, modifiers`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VisualGraphAnimatedPickingGraphMousePlugin()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `mouseClicked(MouseEvent e)`
  `void`
  `mouseDragged(MouseEvent e)`
  `void`
  `mouseMoved(MouseEvent e)`
  `void`
  `mousePressed(MouseEvent e)`
  `void`
  `mouseReleased(MouseEvent e)`

  ### Methods inherited from class edu.uci.ics.jung.visualization.control.AnimatedPickingGraphMousePlugin

  `mouseEntered, mouseExited`

  ### Methods inherited from class edu.uci.ics.jung.visualization.control.AbstractGraphMousePlugin

  `checkModifiers, getCursor, getModifiers, setCursor, setModifiers`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ghidra.graph.viewer.event.mouse.VisualGraphMousePlugin

  `dispose, getGraphViewer, getSatelliteGraphViewer, getViewer, getViewUpdater, getViewUpdater`

- ## Constructor Details

  - ### VisualGraphAnimatedPickingGraphMousePlugin

    public VisualGraphAnimatedPickingGraphMousePlugin()

- ## Method Details

  - ### mousePressed

    public void mousePressed(MouseEvent e)
    Specified by:
      `mousePressed` in interface `MouseListener`
    Overrides:
      `mousePressed` in class `edu.uci.ics.jung.visualization.control.AnimatedPickingGraphMousePlugin<V extends VisualVertex,E extends VisualEdge<V>>`

  - ### mouseClicked

    public void mouseClicked(MouseEvent e)
    Specified by:
      `mouseClicked` in interface `MouseListener`
    Overrides:
      `mouseClicked` in class `edu.uci.ics.jung.visualization.control.AnimatedPickingGraphMousePlugin<V extends VisualVertex,E extends VisualEdge<V>>`

  - ### mouseDragged

    public void mouseDragged(MouseEvent e)
    Specified by:
      `mouseDragged` in interface `MouseMotionListener`
    Overrides:
      `mouseDragged` in class `edu.uci.ics.jung.visualization.control.AnimatedPickingGraphMousePlugin<V extends VisualVertex,E extends VisualEdge<V>>`

  - ### mouseMoved

    public void mouseMoved(MouseEvent e)
    Specified by:
      `mouseMoved` in interface `MouseMotionListener`
    Overrides:
      `mouseMoved` in class `edu.uci.ics.jung.visualization.control.AnimatedPickingGraphMousePlugin<V extends VisualVertex,E extends VisualEdge<V>>`

  - ### mouseReleased

    public void mouseReleased(MouseEvent e)
    Specified by:
      `mouseReleased` in interface `MouseListener`
    Overrides:
      `mouseReleased` in class `edu.uci.ics.jung.visualization.control.AnimatedPickingGraphMousePlugin<V extends VisualVertex,E extends VisualEdge<V>>`